Loading...
Searching...
No Matches
FixedPointCodec< OneByte, Range > Struct Template Reference

`#include <openvdb/points/AttributeArray.h>`

## Classes

struct | Storage

## Static Public Member Functions

template<typename StorageType , typename ValueType >
static void | decode (const StorageType &, ValueType &)
template<typename StorageType , typename ValueType >
static void | encode (const ValueType &, StorageType &)
static const char * | name ()

## Member Function Documentation

## decode()

template<bool OneByte, typename Range >
template<typename StorageType , typename ValueType >

void decode | ( | const StorageType & | data,
|  | ValueType & | val
| ) |  |

inlinestatic

## encode()

template<bool OneByte, typename Range >
template<typename StorageType , typename ValueType >

void encode | ( | const ValueType & | val,
|  | StorageType & | data
| ) |  |

inlinestatic

## name()

template<bool OneByte, typename Range = PositionRange>

static const char * name | ( |  | ) |

inlinestatic